var WxParse = require("../../wxParse/wxParse.js");
var app = getApp()
Page({
  data: {
    type: '',
    url: '',
    detail: ''
  },
  onLoad: function (options) {
    console.log(options)
    var that = this;
    wx.setNavigationBarTitle({
      title: '公告详情'
    })
    app.request("/an?id=" + options.id, '', "GET").then(res => {
      console.log(res)
      that.setData({detail:res.data})
      WxParse.wxParse("content", "html", res.data.body, that)
    })
  },
  onReady: function () {

  },
  onShow: function () {

  },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  },
  onShareAppMessage: function () {
    
  }
})